Sign in with SMS OTP
POST /signin/passwordless/sms
Initiate passwordless authentication by sending a one-time password to the user’s phone number.
If the user doesn’t exist and AUTH_DISABLE_AUTO_SIGNUP is not set, a new account will be created with the provided options.
When AUTH_DISABLE_AUTO_SIGNUP is enabled, users must use the /signup/passwordless/sms endpoint to register first.
Request Body required
Section titled “Request Body required ”Phone number and optional user options for SMS OTP authentication
object
Phone number of the user
Example
+123456789object
Example
[ "me", "user"]Example
userExample
John SmithA two or three characters locale
Example
enobject
Example
{ "firstName": "John", "lastName": "Smith"}Example
https://my-app.com/catch-redirectionResponses
Section titled “ Responses ”OTP sent to the user’s phone number. To prevent account enumeration, this response is also returned without side effects when the phone number is not registered and AUTH_DISABLE_AUTO_SIGNUP is enabled.
default
Section titled “default ”An error occurred while processing the request
Standardized error response
object
HTTP status error code
Example
400Human-friendly error message
Example
Invalid email formatError code identifying the specific application error